Bug 177321 - [PATCH] converters/recode: fix plist and trim makefile
Summary: [PATCH] converters/recode: fix plist and trim makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-23 22:10 UTC by William Grzybowski
Modified: 2013-03-26 13:00 UTC (History)
0 users

See Also:


Attachments
recode.patch (682 bytes, patch)
2013-03-23 22:10 UTC, William Grzybowski
no flags Details | Diff
recode.patch (8.94 KB, patch)
2013-03-24 10:57 UTC, William Grzybowski
no flags Details | Diff
recode.patch (8.16 KB, patch)
2013-03-24 10:51 UTC, William Grzybowski
no flags Details | Diff
recode.patch (8.85 KB, patch)
2013-03-26 12:31 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski 2013-03-23 22:10:00 UTC
	Fix plist (pointyhat)
	Trim makefile header

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-03-23 22:10:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 baptiste.daroussin 2013-03-24 09:47:32 UTC
Problem here was that recode was silently overwriting charset.alias
set by libiconv, which was already bad in the first place, so now this
patch will make use its own charset.alias and not overwrite something
owned by another package.

The second problem here is why the hell is recode bundling its own
version of libiconv and thus use the charset.alias file provided by
libiconv directly?

regards,
Bapt
Comment 3 William Grzybowski 2013-03-24 10:51:05 UTC
On Sun, Mar 24, 2013 at 6:47 AM, Baptiste Daroussin
<baptiste.daroussin@gmail.com> wrote:
> Problem here was that recode was silently overwriting charset.alias
> set by libiconv, which was already bad in the first place, so now this
> patch will make use its own charset.alias and not overwrite something
> owned by another package.
>
> The second problem here is why the hell is recode bundling its own
> version of libiconv and thus use the charset.alias file provided by
> libiconv directly?

Indeed, I did not notice it at first. Maybe because recode is ancient
and fails to detect system libiconv.
I could not test this new patch because my tb and redports are off but
let me know what you think.

Thanks!



--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 4 William Grzybowski 2013-03-24 10:57:21 UTC
Sorry, the last patch had mixed files/ patches, this one they are separated.

On Sun, Mar 24, 2013 at 7:51 AM, William Grzybowski <william88@gmail.com> wrote:
> On Sun, Mar 24, 2013 at 6:47 AM, Baptiste Daroussin
> <baptiste.daroussin@gmail.com> wrote:
>> Problem here was that recode was silently overwriting charset.alias
>> set by libiconv, which was already bad in the first place, so now this
>> patch will make use its own charset.alias and not overwrite something
>> owned by another package.
>>
>> The second problem here is why the hell is recode bundling its own
>> version of libiconv and thus use the charset.alias file provided by
>> libiconv directly?
>
> Indeed, I did not notice it at first. Maybe because recode is ancient
> and fails to detect system libiconv.
> I could not test this new patch because my tb and redports are off but
> let me know what you think.
>
> Thanks!
>
>
>
> --
> William Grzybowski
> ------------------------------------------
> Curitiba/PR - Brasil




-- 
William Grzybowski
------------------------------------------
Agência Livre - www.agencialivre.com.br
Curitiba/PR - Brasil
Comment 5 Baptiste Daroussin freebsd_committer 2013-03-26 07:11:23 UTC
You are almost there, you forgot that the iconv dependency is usally
done via USE_ICONV= yes and you added info files to the plist where it
should be something like:
INFO= recode or INFO=${PORTNAME}

For example.

regards,
Bapt
Comment 6 William Grzybowski 2013-03-26 12:28:54 UTC
On Tue, Mar 26, 2013 at 4:11 AM, Baptiste Daroussin <bapt@freebsd.org> wrote:
> You are almost there, you forgot that the iconv dependency is usally
> done via USE_ICONV= yes and you added info files to the plist where it
> should be something like:
> INFO= recode or INFO=${PORTNAME}

Right, thanks! Find the new patch attached.
I compiled in redports this time:
https://redports.org/buildarchive/20130326121900-3831/



--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 7 William Grzybowski 2013-03-26 12:31:56 UTC
On Tue, Mar 26, 2013 at 9:28 AM, William Grzybowski <william88@gmail.com> wrote:
> On Tue, Mar 26, 2013 at 4:11 AM, Baptiste Daroussin <bapt@freebsd.org> wrote:
>> You are almost there, you forgot that the iconv dependency is usally
>> done via USE_ICONV= yes and you added info files to the plist where it
>> should be something like:
>> INFO= recode or INFO=${PORTNAME}
>
> Right, thanks! Find the new patch attached.
> I compiled in redports this time:
> https://redports.org/buildarchive/20130326121900-3831/




--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 8 Baptiste Daroussin freebsd_committer 2013-03-26 12:34:40 UTC
On Tue, Mar 26, 2013 at 09:31:56AM -0300, William Grzybowski wrote:
> On Tue, Mar 26, 2013 at 9:28 AM, William Grzybowski <william88@gmail.com> wrote:
> > On Tue, Mar 26, 2013 at 4:11 AM, Baptiste Daroussin <bapt@freebsd.org> wrote:
> >> You are almost there, you forgot that the iconv dependency is usally
> >> done via USE_ICONV= yes and you added info files to the plist where it
> >> should be something like:
> >> INFO= recode or INFO=${PORTNAME}
> >
> > Right, thanks! Find the new patch attached.
> > I compiled in redports this time:
> > https://redports.org/buildarchive/20130326121900-3831/
> 


This time it looks right except that a bump of portrevision is needed. let's see
what maintainer will think about it.

regards,
Bapt
Comment 9 dfilter service freebsd_committer 2013-03-26 12:56:30 UTC
Author: demon
Date: Tue Mar 26 12:56:14 2013
New Revision: 315288
URL: http://svnweb.freebsd.org/changeset/ports/315288

Log:
  Do not compile and use bundled libiconv, the converters/iconv from ports.
  
  PR:		177321
  Submitted by:	William Grzybowski <william88@gmail.com>
  With help and suggestions from:		bapt

Added:
  head/converters/recode/files/patch-Makefile.in   (contents, props changed)
Modified:
  head/converters/recode/Makefile   (contents, props changed)
  head/converters/recode/files/patch-src-Makefile.in   (contents, props changed)

Modified: head/converters/recode/Makefile
==============================================================================
--- head/converters/recode/Makefile	Tue Mar 26 12:36:21 2013	(r315287)
+++ head/converters/recode/Makefile	Tue Mar 26 12:56:14 2013	(r315288)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	recode
-# Date created:		14 Jul 1995
-# Whom:			torstenb@FreeBSD.org
-#
+# Created by: torstenb@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	recode
 PORTVERSION=	3.6
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	converters
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	recode
@@ -19,6 +15,7 @@ USE_GETTEXT=	yes
 USE_AUTOTOOLS=	libtool
 USE_PERL5=	yes
 USE_LDCONFIG=	yes
+USE_ICONV=	yes
 CONFIGURE_ARGS=	--without-included-gettext
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib

Added: head/converters/recode/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/converters/recode/files/patch-Makefile.in	Tue Mar 26 12:56:14 2013	(r315288)
@@ -0,0 +1,13 @@
+diff --git Makefile.in Makefile.in
+index 9f6c992..0ccc48c 100644
+--- Makefile.in
++++ Makefile.in
+@@ -108,7 +108,7 @@ ACLOCAL_AMFLAGS = -I m4
+ 
+ BABYL = ../rmail/* ../*/rmail/* ../*/*/RMAIL ../*/*/rmail/*
+ EXTRA_DIST = COPYING-LIB PATCHES-AC rebox.el recode.spec aclocal.sh
+-SUBDIRS = m4 doc lib libiconv i18n src tests contrib
++SUBDIRS = m4 doc lib i18n src tests contrib
+ 
+ POTFILES = src/main.c src/names.c src/outer.c src/recode.c src/request.c src/strip-data.c src/task.c src/testdump.c
+ 

Modified: head/converters/recode/files/patch-src-Makefile.in
==============================================================================
--- head/converters/recode/files/patch-src-Makefile.in	Tue Mar 26 12:36:21 2013	(r315287)
+++ head/converters/recode/files/patch-src-Makefile.in	Tue Mar 26 12:56:14 2013	(r315288)
@@ -1,15 +1,23 @@
---- src/Makefile.in.orig	Mon Jan 22 19:14:16 2001
-+++ src/Makefile.in	Mon Mar 10 10:17:54 2003
-@@ -131,7 +131,7 @@
+diff --git src/Makefile.in src/Makefile.in
+index 9bdb85d..5c2765f 100644
+--- src/Makefile.in
++++ src/Makefile.in
+@@ -129,11 +129,11 @@ L_SURFACES =
+ recode_SOURCES = main.c freeze.c mixed.c
+ recode_LDADD = librecode.la ../lib/libreco.a
  
- librecode_la_SOURCES = argmatch.c charname.c combine.c fr-charname.c hash.c iconv.c libiconv.c localcharset.c merged.c names.c outer.c quotearg.c recode.c request.c strip-pool.c task.c xmalloc.c $(C_STEPS)
+-librecode_la_SOURCES = argmatch.c charname.c combine.c fr-charname.c hash.c iconv.c libiconv.c localcharset.c merged.c names.c outer.c quotearg.c recode.c request.c strip-pool.c task.c xmalloc.c $(C_STEPS)
++librecode_la_SOURCES = argmatch.c charname.c combine.c fr-charname.c hash.c libiconv.c localcharset.c merged.c names.c outer.c quotearg.c recode.c request.c strip-pool.c task.c xmalloc.c $(C_STEPS)
  
 -librecode_la_LDFLAGS = -version-info 0:0:0
 +librecode_la_LDFLAGS = -version-info 3:6:0
  
- INCLUDES = -I.. -I$(srcdir) -I$(top_srcdir)/lib -I$(top_srcdir)/libiconv
+-INCLUDES = -I.. -I$(srcdir) -I$(top_srcdir)/lib -I$(top_srcdir)/libiconv
++INCLUDES = -I.. -I$(srcdir) -I$(top_srcdir)/lib -I$(prefix)/include
  DEFS = -DLIBDIR=\"$(libdir)\" @DEFS@
-@@ -153,7 +153,7 @@
+ 
+ ETAGS_ARGS = $(L_STEPS)
+@@ -153,11 +153,11 @@ LTLIBRARIES =  $(lib_LTLIBRARIES)
  
  CPPFLAGS = @CPPFLAGS@
  LDFLAGS = @LDFLAGS@
@@ -18,3 +26,91 @@
  ANSI2KNR = @ANSI2KNR@
  librecode_la_LIBADD = 
  librecode_la_OBJECTS =  argmatch$U.lo charname$U.lo combine$U.lo \
+-fr-charname$U.lo hash$U.lo iconv$U.lo libiconv$U.lo localcharset$U.lo \
++fr-charname$U.lo hash$U.lo libiconv$U.lo localcharset$U.lo \
+ merged$U.lo names$U.lo outer$U.lo quotearg$U.lo recode$U.lo \
+ request$U.lo strip-pool$U.lo task$U.lo xmalloc$U.lo african$U.lo \
+ afrtran$U.lo applemac$U.lo atarist$U.lo bangbang$U.lo cdcnos$U.lo \
+@@ -359,8 +359,6 @@ ibmpc_.c: ibmpc.c $(ANSI2KNR)
+ 	$(CPP) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/ibmpc.c; then echo $(srcdir)/ibmpc.c; else echo ibmpc.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > ibmpc_.c
+ iconqnx_.c: iconqnx.c $(ANSI2KNR)
+ 	$(CPP) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/iconqnx.c; then echo $(srcdir)/iconqnx.c; else echo iconqnx.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > iconqnx_.c
+-iconv_.c: iconv.c $(ANSI2KNR)
+-	$(CPP) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/iconv.c; then echo $(srcdir)/iconv.c; else echo iconv.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > iconv_.c
+ lat1asci_.c: lat1asci.c $(ANSI2KNR)
+ 	$(CPP) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/lat1asci.c; then echo $(srcdir)/lat1asci.c; else echo lat1asci.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > lat1asci_.c
+ lat1ltex_.c: lat1ltex.c $(ANSI2KNR)
+@@ -425,7 +423,7 @@ bangbang_.lo base64_.o base64_.lo cdcnos_.o cdcnos_.lo charname_.o \
+ charname_.lo combine_.o combine_.lo dump_.o dump_.lo ebcdic_.o \
+ ebcdic_.lo endline_.o endline_.lo flat_.o flat_.lo fr-charname_.o \
+ fr-charname_.lo freeze_.o freeze_.lo hash_.o hash_.lo html_.o html_.lo \
+-ibmpc_.o ibmpc_.lo iconqnx_.o iconqnx_.lo iconv_.o iconv_.lo \
++ibmpc_.o ibmpc_.lo iconqnx_.o iconqnx_.lo \
+ lat1asci_.o lat1asci_.lo lat1ltex_.o lat1ltex_.lo lat1txte_.o \
+ lat1txte_.lo libiconv_.o libiconv_.lo localcharset_.o localcharset_.lo \
+ main_.o main_.lo merged_.o merged_.lo mixed_.o mixed_.lo mule_.o \
+@@ -575,64 +573,6 @@ ibmpc.lo ibmpc.o : ibmpc.c common.h ../config.h xalloc.h argmatch.h \
+ 	../lib/error.h recodext.h recode.h
+ iconqnx.lo iconqnx.o : iconqnx.c common.h ../config.h xalloc.h \
+ 	argmatch.h ../lib/error.h recodext.h recode.h
+-iconv.lo iconv.o : iconv.c common.h ../config.h xalloc.h argmatch.h \
+-	../lib/error.h recodext.h recode.h ../libiconv/iconv.h \
+-	../libiconv/libcharset.h ../libiconv/converters.h \
+-	../libiconv/ascii.h ../libiconv/utf8.h ../libiconv/ucs2.h \
+-	../libiconv/ucs2be.h ../libiconv/ucs2le.h ../libiconv/ucs4.h \
+-	../libiconv/ucs4be.h ../libiconv/ucs4le.h ../libiconv/utf16.h \
+-	../libiconv/utf16be.h ../libiconv/utf16le.h ../libiconv/utf7.h \
+-	../libiconv/ucs2internal.h ../libiconv/ucs2swapped.h \
+-	../libiconv/ucs4internal.h ../libiconv/ucs4swapped.h \
+-	../libiconv/java.h ../libiconv/iso8859_1.h \
+-	../libiconv/iso8859_2.h ../libiconv/iso8859_3.h \
+-	../libiconv/iso8859_4.h ../libiconv/iso8859_5.h \
+-	../libiconv/iso8859_6.h ../libiconv/iso8859_7.h \
+-	../libiconv/iso8859_8.h ../libiconv/iso8859_9.h \
+-	../libiconv/iso8859_10.h ../libiconv/iso8859_13.h \
+-	../libiconv/iso8859_14.h ../libiconv/iso8859_15.h \
+-	../libiconv/iso8859_16.h ../libiconv/koi8_r.h \
+-	../libiconv/koi8_u.h ../libiconv/koi8_ru.h ../libiconv/cp1250.h \
+-	../libiconv/cp1251.h ../libiconv/cp1252.h ../libiconv/cp1253.h \
+-	../libiconv/cp1254.h ../libiconv/cp1255.h ../libiconv/cp1256.h \
+-	../libiconv/cp1257.h ../libiconv/cp1258.h ../libiconv/cp850.h \
+-	../libiconv/cp866.h ../libiconv/mac_roman.h \
+-	../libiconv/mac_centraleurope.h ../libiconv/mac_iceland.h \
+-	../libiconv/mac_croatian.h ../libiconv/mac_romania.h \
+-	../libiconv/mac_cyrillic.h ../libiconv/mac_ukraine.h \
+-	../libiconv/mac_greek.h ../libiconv/mac_turkish.h \
+-	../libiconv/mac_hebrew.h ../libiconv/mac_arabic.h \
+-	../libiconv/mac_thai.h ../libiconv/hp_roman8.h \
+-	../libiconv/nextstep.h ../libiconv/armscii_8.h \
+-	../libiconv/georgian_academy.h ../libiconv/georgian_ps.h \
+-	../libiconv/mulelao.h ../libiconv/cp1133.h ../libiconv/tis620.h \
+-	../libiconv/cp874.h ../libiconv/viscii.h ../libiconv/tcvn.h \
+-	../libiconv/iso646_jp.h ../libiconv/jisx0201.h \
+-	../libiconv/jisx0208.h ../libiconv/jisx0212.h \
+-	../libiconv/iso646_cn.h ../libiconv/gb2312.h \
+-	../libiconv/isoir165.h ../libiconv/isoir165ext.h \
+-	../libiconv/gbk.h ../libiconv/gbkext1.h ../libiconv/gbkext2.h \
+-	../libiconv/gbkext_inv.h ../libiconv/cp936ext.h \
+-	../libiconv/cns11643.h ../libiconv/cns11643_1.h \
+-	../libiconv/cns11643_2.h ../libiconv/cns11643_3.h \
+-	../libiconv/cns11643_inv.h ../libiconv/big5.h \
+-	../libiconv/ksc5601.h ../libiconv/johab_hangul.h \
+-	../libiconv/euc_jp.h ../libiconv/sjis.h ../libiconv/cp932.h \
+-	../libiconv/cp932ext.h ../libiconv/iso2022_jp.h \
+-	../libiconv/iso2022_jp1.h ../libiconv/iso2022_jp2.h \
+-	../libiconv/euc_cn.h ../libiconv/ces_gbk.h \
+-	../libiconv/gb18030.h ../libiconv/gb18030ext.h \
+-	../libiconv/gb18030uni.h ../libiconv/iso2022_cn.h \
+-	../libiconv/iso2022_cnext.h ../libiconv/hz.h \
+-	../libiconv/euc_tw.h ../libiconv/ces_big5.h ../libiconv/cp950.h \
+-	../libiconv/cp950ext.h ../libiconv/big5hkscs.h \
+-	../libiconv/hkscs.h ../libiconv/euc_kr.h ../libiconv/cp949.h \
+-	../libiconv/uhc_1.h ../libiconv/uhc_2.h ../libiconv/johab.h \
+-	../libiconv/iso2022_kr.h ../libiconv/cjk_variants.h \
+-	../libiconv/translit.h ../libiconv/encodings.def \
+-	../libiconv/encodings_local.def ../libiconv/flags.h \
+-	../libiconv/loops.h ../libiconv/loop_unicode.h \
+-	../libiconv/loop_wchar.h ../libiconv/aliases.h
+ lat1asci.lo lat1asci.o : lat1asci.c common.h ../config.h xalloc.h \
+ 	argmatch.h ../lib/error.h recodext.h recode.h
+ lat1ltex.lo lat1ltex.o : lat1ltex.c common.h ../config.h xalloc.h \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Dmitry Sivachenko freebsd_committer 2013-03-26 12:56:32 UTC
State Changed
From-To: open->closed

I committed the last version of your patch (+PORTREVISION bump). 
Thanks you!